<div [style.width.%]="barChartInfo.width" [style.height.px]="barChartInfo.height">
  <ngx-charts-bar-vertical  [scheme]="barChartInfo.colorScheme" [results]="data" [gradient]="barChartInfo.gradient" [xAxis]="barChartInfo.showXAxis" [yAxis]="barChartInfo.showYAxis" [legend]="barChartInfo.showLegend" [showXAxisLabel]="barChartInfo.showXAxisLabel" [showYAxisLabel]="barChartInfo.showYAxisLabel" [xAxisLabel]="barChartInfo.xAxisLabel" [yAxisLabel]="barChartInfo.yAxisLabel" (select)="onSelect($event)">
  </ngx-charts-bar-vertical>
</div>
